import { Button } from "@/components/ui/button"
import {
  Dialog,
  DialogContent,
  DialogDescription,
  DialogFooter,
  DialogHeader,
  DialogTitle,
  DialogTrigger,
} from "@/components/ui/dialog"
import { Input } from "@/components/ui/input"

export function ImportCsvDialog() {
  return (
    <Dialog>
      <DialogTrigger asChild>
        <Button className="text-tertiaryDark grid" variant="link">Importar Csv</Button>
      </DialogTrigger>
      <DialogContent className="sm:max-w-[425px]">
        <DialogHeader>
          <DialogTitle>Importar Csv</DialogTitle>
        </DialogHeader>
        <div className="grid gap-4 pt-4">
          <div className="grid grid-cols-4 items-center gap-4">
            <Input
                placeHolder = "Importar Csv"
                type = "file"
                id="file"
                className="w-fit"
                accept=".csv"
            />
          </div>
        </div>
        <DialogDescription className="text-tertiary">
            Selecione um arquivo com extensão ".csv"
          </DialogDescription>
        <DialogFooter>
          <Button type="submit">Enviar</Button>
        </DialogFooter>
      </DialogContent>
    </Dialog>
  )
}
